Subject: Bug#1379: Crash when connecting to session

From: Jakob Peder Pettersen <[email-masked]>
Date: Mon, 25 Mar 2019 18:31:49 +0100

Package: x2goclient
Version: 4.1.2.1

When connecting to a x2go session, I experience that the program closes and an error message from the system appears: «x2goclient quit unexpectedly». The corresponding problem details is shown at https://pastebin.com/TfftdjKZ <https://pastebin.com/TfftdjKZ>. 
From what appears in the log, the problem is a segfault in libssh, but I have no idea of the actual cause of the problem. Neither do I know whether it can easily be reproduced. My session file can be fount at https://pastebin.com/bkBLeqgc <https://pastebin.com/bkBLeqgc>. 

With best regards,
Jakob Peder Pettersen